Subject: Re: stainless steel wire

From: [email-masked] (Selann)
Date: 24 May 1995 10:25:50 -0400

Hi!:
I am a metalsmith and have a commission to create body jewelry for a few
of my supporters.  I need surgical stainless, but I am very interested in
some preformed peices, threaded, clipped, whatever.  Would it be possible
for yo to send me a catalog, or, email me an address or phone number?

Thanx--
Selann bin Ipshair